Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 177407 - f-spot wrapper script looks for executable in CWD
Summary: f-spot wrapper script looks for executable in CWD
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: f-spot
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
: 177676 (view as bug list)
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-01-10 13:26 UTC by Oskari Saarenmaa
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-01 17:43:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 328909 None None None Never

Description Oskari Saarenmaa 2006-01-10 13:26:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8) Gecko/20051216 Fedora/1.5-3 Firefox/1.5

Description of problem:
The f-spot wrapper script in /usr/bin attempts to run f-spot.exe from the current working directory.  This can lead into problems when launching f-spot from for example /tmp where another user might have created a fake f-spot.exe file.

Version-Release number of selected component (if applicable):
f-spot-0.1.5-1

How reproducible:
Always

Steps to Reproduce:
1. cd /tmp
2. touch f-spot.exe Makefile Defines.cs
3. f-spot


Actual Results:  *** Running uninstalled f-spot ***
cannot open assembly ./f-spot.exe


Additional info:

Comment 1 Bill Nottingham 2006-01-12 20:40:00 UTC
*** Bug 177676 has been marked as a duplicate of this bug. ***

Comment 2 Christopher Aillon 2006-01-27 23:26:55 UTC
This has been filed as http://bugzilla.gnome.org/show_bug.cgi?id=328909

Comment 3 Bill Nottingham 2006-01-30 18:16:18 UTC
Flipping security flag, as this is a security issue...

Comment 4 Christopher Aillon 2006-02-01 17:43:39 UTC
should be fixed in rawhide, now.


Note You need to log in before you can comment on or make changes to this bug.